-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Szerver verzió:               10.4.11-MariaDB - mariadb.org binary distribution
-- Szerver OS:                   Win64
-- HeidiSQL Verzió:              11.0.0.5919
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

use aitrainer;

-- Struktúra mentése tábla aitrainer. customer
CREATE TABLE IF NOT EXISTS `customer` (
  `customer_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(100) COLLATE utf8_hungarian_ci NOT NULL,
  `firstname` char(100) COLLATE utf8_hungarian_ci NOT NULL,
  `email` char(100) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `password` char(100) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `sex` enum('m','w') COLLATE utf8_hungarian_ci DEFAULT 'm',
  `age` tinyint(4) DEFAULT NULL,
  `active` enum('Y','N','D','S') COLLATE utf8_hungarian_ci DEFAULT 'N',
  `date_add` datetime DEFAULT NULL,
  `date_change` datetime DEFAULT NULL,
  `data_policy_allowed` tinyint(4) DEFAULT 1,
  `admin` tinyint(4) DEFAULT 0,
  PRIMARY KEY (`customer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.customer: ~13 rows (hozzávetőleg)
/*!40000 ALTER TABLE `customer` DISABLE KEYS */;
INSERT INTO `customer` (`customer_id`, `name`, `firstname`, `email`, `password`, `sex`, `age`, `active`, `date_add`, `date_change`, `data_policy_allowed`, `admin`) VALUES
	(1, 'Átlag 13 éves fiú', '', NULL, NULL, 'm', 13, 'N', NULL, NULL, 1, 0),
	(2, 'Átlag 14 éves fiú', '', NULL, NULL, 'm', 14, 'N', NULL, NULL, 1, 0),
	(3, 'Átlag 15 éves fiú', '', NULL, NULL, 'm', 15, 'N', NULL, NULL, 1, 0),
	(4, 'Átlag 15 éves fiú', '', NULL, NULL, 'm', 15, 'N', NULL, NULL, 1, 0),
	(5, 'Átlag 16 éves fiú', '', NULL, NULL, 'm', 16, 'N', NULL, NULL, 1, 0),
	(6, 'Átlag 17 éves fiú', '', NULL, NULL, 'm', 17, 'N', NULL, NULL, 1, 0),
	(7, 'Átlag 18 éves fiú', '', NULL, NULL, 'm', 18, 'N', NULL, NULL, 1, 0),
	(8, 'Átlag 13 éves lány', '', NULL, NULL, 'w', 13, 'N', NULL, NULL, 1, 0),
	(9, 'Átlag 14 éves lány', '', NULL, NULL, 'w', 14, 'N', NULL, NULL, 1, 0),
	(10, 'Átlag 15 éves lány', '', NULL, NULL, 'w', 15, 'N', NULL, NULL, 1, 0),
	(11, 'Átlag 16 éves lány', '', NULL, NULL, 'w', 16, 'N', NULL, NULL, 1, 0),
	(12, 'Átlag 17 éves lány', '', NULL, NULL, 'w', 17, 'N', NULL, NULL, 1, 0),
	(13, 'Átlag 18 éves lány', '', NULL, NULL, 'w', 18, 'N', NULL, NULL, 1, 0);
/*!40000 ALTER TABLE `customer` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. customer_information
CREATE TABLE IF NOT EXISTS `customer_information` (
  `customer_information_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` char(50) COLLATE utf8_hungarian_ci DEFAULT '',
  `description` mediumtext COLLATE utf8_hungarian_ci DEFAULT NULL,
  `date_add` datetime DEFAULT NULL,
  `display_begin` datetime DEFAULT NULL,
  `display_end` datetime DEFAULT NULL,
  PRIMARY KEY (`customer_information_id`) USING BTREE,
  KEY `title` (`title`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.customer_information: ~0 rows (hozzávetőleg)
/*!40000 ALTER TABLE `customer_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `customer_information` ENABLE KEYS */;

INSERT INTO `customer_information` (`customer_information_id`, `title`, `description`, `date_add`, `display_begin`, `display_end`) VALUES (1, 'Fekvőtámasz világcsúcs', 'Világcsúcs fekvőtámasz: KJ Joseph 1 perc alatt 82 szabályos fekvőtámaszt végzett', '2020-06-01 08:00:00', '2020-06-01 08:00:00', '2023-07-01 08:00:00');
INSERT INTO `customer_information` (`customer_information_id`, `title`, `description`, `date_add`, `display_begin`, `display_end`) VALUES (2, 'Húzódszkodás csúcs', '24 órás csúcstartója Joonas Mäkipelto 5050 gyakorlattal', '2020-06-01 08:00:00', '2020-06-01 08:00:00', '2023-07-01 08:00:00');
INSERT INTO `customer_information` (`customer_information_id`, `title`, `description`, `date_add`, `display_begin`, `display_end`) VALUES (3, 'Fekvenyomás', '2015-ben a fekvenyomó világbajnokságot Smulter Fredrik finn súlyemelő 401 Kg-al nyerte', '2020-06-01 08:00:00', '2020-05-01 00:00:00', '2020-06-01 08:00:01');


-- Struktúra mentése tábla aitrainer. exercises
CREATE TABLE IF NOT EXISTS `exercises` (
  `exercise_id` int(11) NOT NULL AUTO_INCREMENT,
  `exercise_type_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `date_add` datetime NOT NULL,
  `quantity` float DEFAULT NULL,
  `unit` enum('kg','meter','repeat','minute') COLLATE utf8_hungarian_ci DEFAULT 'repeat',
  `unit_quantity` float DEFAULT NULL,
  `rest_time` int(11) DEFAULT NULL COMMENT 'in sec',
  PRIMARY KEY (`exercise_id`),
  KEY `exercise_type_id` (`exercise_type_id`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercises: ~0 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercises` DISABLE KEYS */;
INSERT INTO `exercises` (`exercise_id`, `exercise_type_id`, `customer_id`, `date_add`, `quantity`, `unit`, `rest_time`) VALUES
	(1, 1, 1, '2020-05-01 00:00:00', 12, 'repeat', NULL);
/*!40000 ALTER TABLE `exercises` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. exercise_evaluation
CREATE TABLE IF NOT EXISTS `exercise_evaluation` (
  `evaluation_id` int(11) NOT NULL AUTO_INCREMENT,
  `age_min` int(11) DEFAULT 0,
  `age_max` int(11) DEFAULT 0,
  `value_min` int(11) DEFAULT 0,
  `value_max` int(11) DEFAULT 0,
  `sex` enum('m','w') COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'm',
  `evaluation` enum('excellent','very good','good','average','weak','poor') COLLATE utf8_hungarian_ci NOT NULL DEFAULT 'average',
  `description` mediumtext COLLATE utf8_hungarian_ci DEFAULT NULL,
  PRIMARY KEY (`evaluation_id`) USING BTREE,
  KEY `value_min_value_max` (`value_min`,`value_max`) USING BTREE,
  KEY `age_min_age_max` (`age_min`,`age_max`) USING BTREE,
  KEY `age_min_age_max_value_min_value_max` (`age_min`,`age_max`,`value_min`,`value_max`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercise_evaluation: ~0 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercise_evaluation` DISABLE KEYS */;
/*!40000 ALTER TABLE `exercise_evaluation` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. exercise_type
CREATE TABLE IF NOT EXISTS `exercise_type` (
  `exercise_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(100) COLLATE utf8_hungarian_ci NOT NULL,
  `description` varchar(1000) COLLATE utf8_hungarian_ci DEFAULT NULL,
  `video` mediumblob DEFAULT NULL,
  `unit` CHAR(50) NULL DEFAULT NULL COLLATE 'utf8_hungarian_ci',
  `unit_quantity` TINYINT(1) NULL DEFAULT NULL,
  `unit_quantity_unit` CHAR(50) NULL DEFAULT NULL COLLATE 'utf8_hungarian_ci',
  PRIMARY KEY (`exercise_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercise_type: ~11 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercise_type` DISABLE KEYS */;
	INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (1, 'Melső fekvőtámasz 1 perc', 'Ezt igazolja a 2016 márciusában beállított guinness rekord is,\r\namelyben KJ Joseph 1 perc alatt 82 szabályos karhajlítás-nyújtást\r\nvégzett.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (2, 'Húzódzkodás', 'Ennek a gyakorlatnak a 24 órás csúcstartója Joonas Mäkipelto 5050\r\ngyakorlattal.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (3, 'Melső fekvőtámasz 30mp', 'A gyakorlatot 30 másodperc alatt olyan sokszor kell végrehajtani, ahányszor a\r\nfelvételiző képes rá. Azonban törekedni kell a szabályos végrehajtásra, ugyanis csak azokat\r\nszámolják. A nők esetében 20, a férfiak esetében 35 gyakorlatot kell végrehajtani a maximális\r\npont megszerzéséért. A gyakorlat akkor sikeres, ha a női legalább 1, a férfi felvételiző\r\nlegalább 11 gyakorlatot képes végrehajtani.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (4, 'Melső fekvőtámasz 2perc', 'Magyar Honvédség: A gyakorlat végrehajtására 2 perc áll rendelkezésre. Ennek során csak a szabályosan a\r\nfentiekben leírt módon végrehajtott gyakorlat értékelhető. Férfiaknál 70 karhajlítás nyújtást\r\nkell végrehajtani a maximális pontért.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (5, 'Hajlított karú függés', 'A gyakorlat addig tart, amíg a végrehajtó szemmagassága a kiinduló helyzettől\r\nsüllyedve a keresztvas alá nem kerül. Az értékeléshez stopperórát alkalmaznak, és az\r\neredmény másodperc pontossággal kerül megállapításra. Nők esetében 45, férfiak\r\ntekintetében 73 másodperctől jár a maximális pontszám. A gyakorlat sikeres végrehajtásához\r\nlegalább 8, 10 másodpercig kell megtartaniuk a kiinduló helyzetet a női és a férfi\r\nfelvételizőknek.\r\n\r\nA NKE-RTK-án lévő hallgatók egyéni rekordjai Iván Viktor 90s, Kiss Regina 74s', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (6, 'Fekvenyomás', '2015-ben a fekvenyomó világbajnokságot Smulter Fredrik finn súlyemelő 401 Kg-al nyerte.\r\nA súlyzó tömege nők esetében 25 kg, a férfiak esetében 60 kg a rúddal együtt. Az\r\nértékelésénél a szabályosan végrehajtott gyakorlatokat értékelik csak.\r\nA legtöbb pontért 25 gyakorlatot kell végezni mind a nőknek, mind a férfiaknak. A minimum:\r\negy gyakorlat mindkét nem esetében.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (7, '4x10m-es ingafutás', 'A legjobb pontszámért 9,4 s illetve 8,8s alatt kell teljesíteni a nőknek, férfiaknak. A\r\ngyakorlat sikertelen 11,8 s illetve 11,2 s-on túl.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (8, 'Helyből távolugrás', 'Byron Jones 2015-ben a 3,73 méteres ugrásával érte el a világcsúcsot.\r\nA nőknek 220 cm-re, a férfiak 250 cm-re kell ugraniuk a maximális pontért. A\r\nminimális távolság 172cm illetve 198 cm.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (9, 'Felülés hanyattfekvésből', 'Az NKE-RTK hallgatói közül Papp Zsófia 66 db-ot, Gál Valentin 80\r\ndb-ot csinált 1 perc leforgása alatt.\r\nElső ütemre megtörténik a felülés, ami akkor szabályos, ha valamelyik könyök érinti a\r\ntérdet. Második ütemre vissza kell térni a kiinduló helyzetbe. A maximális pont eléréséhez 1\r\nperc alatt 45 illetve 55 ismétlést kell végezni a nőknek illetve a férfiaknak. A minimumhoz 7\r\nés 25 ismétlés szükséges.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (10, 'Felülés hajlított térddel', 'Magyar Honvédség: A kiinduló helyzet hajlított ülés, ennek során a sarkak a talajon, a térd 90 fokban meghajlítva\r\nvan.\r\nA gyakorlat végrehajtására két perc áll rendelkezésre. Ennek során csak a szabályosan,\r\na fentiekben leírt módon végrehajtott gyakorlat értékelhető. Férfiaknál, nőknél egyaránt 90\r\ngyakorlatot kell végrehajtani a maximális pontért. Amennyiben a megadott időkeret alatt nem\r\nsikerül legalább 25 szabályos gyakorlatot végrehajtani, úgy az sikertelennek minősül.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (11, 'Síkfutás 2000m', 'A maximálisan megszerezhető pontot az a felvételiző gyűjtheti be, aki a távot nők\r\nesetében 10:00 perc alatt, férfiak esetében 7:35 perc alatt teljesíti. A gyakorlat sikeres\r\nteljesítésére nők esetében maximum 16:00 perc, férfiak esetében 13:30 perc áll rendelkezésre.', NULL, NULL, NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (30, 'Cooper', '12 minutes run, how many meters', NULL, 'meter', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (31, '300m', NULL, NULL, 'second', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (32, '400m', NULL, NULL, 'second', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (33, 'Pushup', NULL, NULL, 'repeat', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (34, 'Timed Pushup', NULL, NULL, 'repeat', 1, 'second');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (35, 'Squats', NULL, NULL, 'repeat', 1, 'kg');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (36, 'Sit-Ups', NULL, NULL, 'repeat', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (37, 'Chest Press', NULL, NULL, 'repeat', 1, 'kg');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (38, 'Pull Ups', NULL, NULL, 'repeat', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (39, 'Biceps', NULL, NULL, 'repeat', 1, 'kg');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (40, 'Triceps', NULL, NULL, 'repeat', 1, 'kg');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (41, 'Shoulders', NULL, NULL, 'repeat', 1, 'kg');
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (42, 'BMI', NULL, NULL, 'percent', NULL, NULL);
    INSERT INTO `exercise_type` (`exercise_type_id`, `name`, `description`, `video`, `unit`, `unit_quantity`, `unit_quantity_unit`) VALUES (43, 'BMR', NULL, NULL, NULL, NULL, NULL);

/*!40000 ALTER TABLE `exercise_type` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
